<?php

namespace frontend\modules\hr\controllers;

use Yii;
use frontend\modules\hr\models\EmploymentDetails;
use frontend\modules\hr\models\EmploymentDetailsSearch;
use yii\web\Controller;
use yii\web\NotFoundHttpException;
use yii\filters\VerbFilter;
use yii\filters\AccessControl;
/**
 * EmploymentdetailsController implements the CRUD actions for EmploymentDetails model.
 */
class EmploymentdetailsController extends Controller
{
    /**
     * {@inheritdoc}
     */
    public function behaviors()
    {
        return [
              'access' => [
            'class' => AccessControl::className(),
            'rules' => [
                [
                    'allow' => true,
                    'actions' => ['create','update','index','view'],
                    'roles' => ['HR'],
                ],
                  
                  [
                    'allow' => true,
                    'actions' => [''],  
                    'roles' => ['@']                 
                ],
                //  [
                //     'allow' => true,
                //     'actions' => ['error'],  
                //     'roles' => ['?','@']                 
                // ],
                    ],
                ],
            'verbs' => [
                'class' => VerbFilter::className(),
                'actions' => [
                    'delete' => ['POST'],
                ],
            ],
        ];
    }

    /**
     * Lists all EmploymentDetails models.
     * @return mixed
     */
    public function actionIndex($sid)
    {
        $searchModel = new EmploymentDetailsSearch();
        $dataProvider = $searchModel->search(Yii::$app->request->queryParams);

        return $this->render('index', [
            'searchModel' => $searchModel,
            'dataProvider' => $dataProvider,
            'sid'=>$sid
        ]);
    }

    /**
     * Displays a single EmploymentDetails model.
     * @param integer $id
     * @return mixed
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionView($id)
    {
        return $this->render('view', [
            'model' => $this->findModel($id),
        ]);
    }

    /**
     * Creates a new EmploymentDetails model.
     * If creation is successful, the browser will be redirected to the 'view' page.
     * @return mixed
     */
    public function actionCreate($sid)
    {
        // if(Yii::$app->user->identity->place==1)
        // {
        //     throw new \yii\web\HttpException(403,"Not authorized");
        // }

        // $check=EmploymentDetails::find()->where(['staff_id'=>$sid])->one();
        // if($check!=null)
        // {
        //     throw new \yii\web\HttpException(403,"This user already has an deployment detail and can only have one");
        // }
        
        $model = new EmploymentDetails();

        if ($model->load(Yii::$app->request->post())) {

            $model->gross_pay=str_replace(',','', $model->gross_pay);
            $model->save();
            return $this->redirect(['view', 'id' => $model->id]);
        }

        return $this->render('create', [
            'model' => $model,
            'sid'=>$sid
        ]);
    }

    /**
     * Updates an existing EmploymentDetails model.
     * If update is successful, the browser will be redirected to the 'view' page.
     * @param integer $id
     * @return mixed
     * @throws NotFoundHttpException if the model cannot be found
     */
     public function actionUpdate($id)
    {
        if(Yii::$app->user->identity->place==2)
        {
            throw new \yii\web\HttpException(403,"Not authorized");
        }

            $ref = $_SERVER['HTTP_REFERER'];
          

           
           

            // if(strpos($ref, 'summary'))
            // {
            //      $model=EmploymentDetails::find()->where(['staff_id'=>$id])->one();
            //  }else{
            //       $model = $this->findModel($id);
            //  }
            
             $model = $this->findModel($id);

        if ($model->load(Yii::$app->request->post())) {    


            if($model->save()){
                
            return $this->redirect(['view', 'id' => $model->id]);
        
        }

        }

        return $this->render('update', [
            'model' => $model,
        ]);
    }

    /**
     * Deletes an existing EmploymentDetails model.
     * If deletion is successful, the browser will be redirected to the 'index' page.
     * @param integer $id
     * @return mixed
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionDelete($id)
    {
        $this->findModel($id)->delete();

        return $this->redirect(['index']);
    }

    /**
     * Finds the EmploymentDetails model based on its primary key value.
     * If the model is not found, a 404 HTTP exception will be thrown.
     * @param integer $id
     * @return EmploymentDetails the loaded model
     * @throws NotFoundHttpException if the model cannot be found
     */
    protected function findModel($id)
    {
        if (($model = EmploymentDetails::findOne($id)) !== null) {
            return $model;
        }

        throw new NotFoundHttpException('The requested page does not exist.');
    }
}
