<?php

use yii\helpers\Html;
use yii\grid\GridView;

/* @var $this yii\web\View */
/* @var $searchModel frontend\models\CustomersSearch */
/* @var $dataProvider yii\data\ActiveDataProvider */

$this->title = 'Customers';
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="customers-index">

    <h1><?= $cctype==2 ? 'Corporate ' : '' ?><?= Html::encode($this->title) ?></h1>
    <?php // echo $this->render('_search', ['model' => $searchModel]); ?>

    <p>
        <?= Html::a('Create Customers', ['create'], ['class' => 'btn btn-success']) ?>
        <?= Html::a('Fund Accounts', ['accounts/fund'], ['class' => 'btn btn-success']) ?>
    </p>

    <?= GridView::widget([
        'dataProvider' => $dataProvider,
        'filterModel' => $searchModel,
        'columns' => [
            ['class' => 'yii\grid\SerialColumn'],

            // 'id',
            'name',
            'address:ntext',
            'email:email',
            'phone',
            ['label'=>'Action', 'format'=>'raw', 'attribute'=>'move_out_date', 'value'=> function ($model){  return Html::a('Generate Bill: '.ucwords($model->name),['/accounts/generate','id'=>$model->id],['class'=>'btn btn-primary', 'style'=>'display:block;']); }],
            ['label'=>'Action', 'format'=>'raw', 'attribute'=>'move_out_date', 'value'=> function ($model){  return Html::a('Funding History',['/accounts/history','id'=>$model->id],['class'=>'btn btn-primary', 'style'=>'display:block;']); }],
            //'cid',
            //'created_at',
            //'updated_at',

            ['class' => 'yii\grid\ActionColumn'],
        ],
    ]); ?>
</div>
